Download it now!
Bug 34898 - UI: dialog Data->Filter->Standard Filter behaves in wrong way
Summary: UI: dialog Data->Filter->Standard Filter behaves in wrong way
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:3.4
Keywords: easyHack
Depends on:
Blocks:
 
Reported: 2011-03-01 22:55 UTC by sasha.libreoffice
Modified: 2015-12-18 09:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Calc dialog Data->Filter->Standard Filter behaves in wrong way (97.91 KB, application/vnd.oasis.opendocument.text)
2011-03-01 22:55 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-03-01 22:55:50 UTC
Created attachment 44001 [details]
Calc dialog Data->Filter->Standard Filter behaves in wrong way

in Calc dialog Data->Filter->Standard Filter behaves in wrong way
Users can aquire problem with it.
Explanations in attachment
used Libreoffice 3.3.1.2 Mandriva 64 and Windows XP 32
Comment 1 Cédric Bosdonnat 2011-03-02 02:00:32 UTC
We may need to change the value of these special strings to avoid them starting by the "minus" sign.

Here are the strings to hack:
http://opengrok.libreoffice.org/xref/calc/sc/source/ui/src/scstring.src#216

kohei, your advice on this easy hack would be great.
Comment 2 Kohei Yoshida 2011-03-02 06:33:23 UTC
The right fix is when the auto select is showing a candidate value, we shouldn't treat it as the final value (hence changing the operator).  Changing the value of '-not empty-' would only shift the problem elsewhere, it would not fix it.
Comment 3 Kohei Yoshida 2011-03-11 07:35:00 UTC
Tibby Lickle has decided to tackle this bug, and fixed it in the following commit:

http://cgit.freedesktop.org/libreoffice/calc/commit/?id=3f775efc94aca0fa96fc93e1ad9a08322558d370

The solution is to disable auto completion in this dialog, which in our opinion is totally redundant there (since there already is a drop-down list showing all possible selections).
Comment 4 Rainer Bielefeld Retired 2012-04-10 02:56:31 UTC
EasyHack tags unification: tags only allowed in Whiteboard to make queries more easy and reliable
Comment 5 pierre-yves samyn 2012-05-11 06:22:31 UTC
Hello

The chosen solution seems not good to me because:
- Loss of an important feature (autocompletion)
- Not homogeneous with the ergonomics (AFAIK no other case in LibO)
- Auto completion is *not* redundant with the drop-down, especially when there is a lot of data. Enter the first characters of the searched value (word) is a very frequent use. cf. this Issue: https://bugs.freedesktop.org/show_bug.cgi?id=47412

The operator is no longer changed (when enter minus in value) : it would be good, please to restore autocompletion.

Platform : 
version 3.6.0alpha0+ (Build ID: c2003c7) & Windows 7 64bits

Regards
Pierre-Yves
Comment 6 Kohei Yoshida 2012-05-11 06:33:06 UTC
No, sorry.
Comment 7 Robinson Tryon (qubit) 2015-12-18 09:58:55 UTC
Migrating Whiteboard tags to Keywords: (EasyHack)
[NinjaEdit]